import argparse
from .attacks.sys_infos import getRemoteSystemInfo
from .attacks.bruteforce.bruteforce import bruteforce

def main():
    print('''
 ▄▄▄██▀▀▀▓█████  ██▀███   ██▀███ ▓██   ██▓
   ▒██   ▓█   ▀ ▓██ ▒ ██▒▓██ ▒ ██▒▒██  ██▒
   ░██   ▒███   ▓██ ░▄█ ▒▓██ ░▄█ ▒ ▒██ ██░
▓██▄██▓  ▒▓█  ▄ ▒██▀▀█▄  ▒██▀▀█▄   ░ ▐██▓░
 ▓███▒   ░▒████▒░██▓ ▒██▒░██▓ ▒██▒ ░ ██▒▓░
 ▒▓▒▒░   ░░ ▒░ ░░ ▒▓ ░▒▓░░ ▒▓ ░▒▓░  ██▒▒▒ 
 ▒ ░▒░    ░ ░  ░  ░▒ ░ ▒░  ░▒ ░ ▒░▓██ ░▒░ 
 ░ ░ ░      ░     ░░   ░   ░░   ░ ▒ ▒ ░░
 ░   ░      ░  ░   ░        ░     ░ ░
                                  ░ ░
          ''')
    parser = argparse.ArgumentParser(description="Simulateur d'attaques cyber")
    parser.add_argument("attack", choices=["bruteforce","systemInfo"], help="Type of attack")
    parser.add_argument("-ip", type=str, help="target IP")
    parser.add_argument("-t", "--threads", type=int, default=1, help="Number of thread(s) (default : 1)")
    parser.add_argument("-p", "--ports", nargs="+", type=int, help="List ports")
    parser.add_argument("--start", type=int, default=1, help="start port")
    parser.add_argument("--end", type=int, default=65536, help="end port")
    parser.add_argument("--usersFileName", type=str, default='./jerry/attacks/bruteforce/users.txt', help="users file name (default : users.txt)")
    parser.add_argument("--passwordsFileName", type=str, default='./jerry/attacks/bruteforce/passwords.txt', help="passwords file name (default : passwords.txt)")

    args = parser.parse_args()

    match args.attack:
        case "bruteforce":
            bruteforce(args.ip, args.threads, args.usersFileName, args.passwordsFileName)
        case "systemInfo":
            getRemoteSystemInfo(args.ip, args.start, args.end, args.ports)
        case _:
            print("Attack not known !")